%define upstream_name    Term-Encoding
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Detect encoding of the current terminal
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Term::Encoding is a simple module to detect an encoding the current
terminal expects, in various ways.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-3.mga9
+ Revision: 1811579
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.30.0-2.mga8
+ Revision: 1524011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Mar 23 2019 tv <tv> 0.30.0-1.mga7
+ Revision: 1379812
- update to 0.03

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1286405
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1166691
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.20.0-8.mga7
+ Revision: 1159333
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1033924
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 931561
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 746433
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 686367
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 515007
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 373219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 27081
- mageia rebuild
- imported package perl-Term-Encoding


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 406185
- rebuild using %%perl_convert_version

* Thu Mar 05 2009 Michael Scherer <misc@mandriva.org> 0.02-1mdv2009.1
+ Revision: 348721
- import perl-Term-Encoding


